package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 疫情登记问题对象 hs_yiqing_question
 *
 * @author willalp
 * @date 2022-05-10
 */

@TableName("hs_yiqing_question")
public class HsYiqingQuestion extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String queId;

    @TableField(exist = false)
    public String parentId;

    @TableField(exist = false)
    public String ancestors;

    /**
     * 问题分组ID
     */
    @Excel(name = "问题分组ID")
    private Long queGroupId;

    /**
     * 问题描述
     */
    @Excel(name = "问题描述")
    private String queTextOrPid;

    /**
     * 答案编号
     */
    @Excel(name = "答案编号")
    private Integer queResultNo;

    /**
     * 答案内容
     */
    @Excel(name = "答案内容")
    private String queResultText;

    /**
     * 问题级别（0：父级 1：子级）
     */
    @Excel(name = "问题级别", readConverterExp = "0=：父级,1=：子级")
    private Integer queLevel;

    /**
     * 启用或禁用
     */
    @Excel(name = "启用或禁用")
    private Integer enableOrDisable;

    /**
     * 是否删除（0.未删除；1.已删除）
     */
    private Integer isDelete;

    public String getQueId() {
        return queId;
    }

    public void setQueId(String queId) {
        this.queId = queId;
    }

    public Long getQueGroupId() {
        return queGroupId;
    }

    public void setQueGroupId(Long queGroupId) {
        this.queGroupId = queGroupId;
    }

    public String getQueTextOrPid() {
        return queTextOrPid;
    }

    public void setQueTextOrPid(String queTextOrPid) {
        this.queTextOrPid = queTextOrPid;
    }

    public Integer getQueResultNo() {
        return queResultNo;
    }

    public void setQueResultNo(Integer queResultNo) {
        this.queResultNo = queResultNo;
    }

    public String getQueResultText() {
        return queResultText;
    }

    public void setQueResultText(String queResultText) {
        this.queResultText = queResultText;
    }

    public Integer getQueLevel() {
        return queLevel;
    }

    public void setQueLevel(Integer queLevel) {
        this.queLevel = queLevel;
    }

    public Integer getEnableOrDisable() {
        return enableOrDisable;
    }

    public void setEnableOrDisable(Integer enableOrDisable) {
        this.enableOrDisable = enableOrDisable;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    @Override
    public String getId() {
        return queId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("queId", getQueId())
                .append("queGroupId", getQueGroupId())
                .append("queTextOrPid", getQueTextOrPid())
                .append("queResultNo", getQueResultNo())
                .append("queResultText", getQueResultText())
                .append("queLevel", getQueLevel())
                .append("enableOrDisable", getEnableOrDisable())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
